<?php declare(strict_types=1);

namespace Infomaker\Everyware\NewsML\LinkParsers;

use Infomaker\Everyware\NewsML\Item;
use Infomaker\Everyware\Support\Format;

/**
 * Class CropLinkParser
 * @package Infomaker\Everyware\NewsML\LinkParsers
 */
class CropLinkParser extends BaseLinkParser
{
    public const LINK_TYPE = 'x-im/crop';

    protected function getLinkData(Item $item): array
    {
        return $this->extractCropValues($item);
    }

    public function extractCropValues(Item $item): array
    {
        $attributes = $item->getItemAttributes();
        $uri = $attributes['uri'] ?? 'im://crop/0/0/1/1';

        $values = array_map([
            Format::class,
            'formatNumberToImengineFloat'
        ], explode('/', str_replace('im://crop/', '', $uri)));

        return [
            'x' => $values[0],
            'y' => $values[1],
            'width' => $values[2],
            'height' => $values[3]
        ];
    }
}
