<?php declare (strict_types = 1);

namespace Infomaker\Everyware\NewsML\Parsers;

use SimpleXMLIterator;
use Infomaker\Everyware\NewsML\Parsers\Interfaces\ItemParser;

/**
 * MetaDataParser
 *
 * @package Infomaker\Everyware\NewsML\Parsers
 */
class MetaDataParser implements ItemParser
{

    public const TAG = 'metadata';

    /**
     * @var ItemParser[]
     */
    /**
     * @var array
     */
    private $parsers;

    public function __construct(ObjectParser $objectParser)
    {
        $this->parsers = [
            ObjectParser::TAG => $objectParser,
        ];
    }

    public function parse(SimpleXMLIterator $element): array
    {
        $items = [[]];

        foreach ($element as $tag => $item) {
            $parser = $this->parsers[$tag] ?? null;
            if ($parser instanceof ItemParser) {
                $items[] = $parser->parse($item);
            }
        }

        return array_merge(...$items);
    }
}
