<?php

namespace Spec\Infomaker\Everyware\NewsML\LinkParsers;

use Infomaker\Everyware\NewsML\LinkParsers\CropLinkParser;
use Infomaker\Everyware\Support\Format;
use Spec\Infomaker\Everyware\NewsML\ParserSpec;

class CropLinkParserSpec extends ParserSpec
{
    function it_is_initializable()
    {
        $this->shouldHaveType(CropLinkParser::class);
    }

    public function it_should_parse_a_link()
    {
        $xml = '<link rel="crop" type="x-im/crop" title="16:9" uri="im://crop/0/0/1/1"/>';
        $this->validateXML($xml, [
            'rel' => 'crop',
            'type' => 'x-im/crop',
            'uri' => 'im://crop/0/0/1/1',
            'x' => Format::formatNumberToImengineFloat(0),
            'y' => Format::formatNumberToImengineFloat(0),
            'width' => Format::formatNumberToImengineFloat(1),
            'height' => Format::formatNumberToImengineFloat(1)
        ]);
    }
}
