<?php

namespace Spec\Infomaker\Everyware\NewsML\LinkParsers;

use Infomaker\Everyware\NewsML\LinkParsers\FacebookPostLinkParser;
use Spec\Infomaker\Everyware\NewsML\ParserSpec;

class FacebookPostLinkParserSpec extends ParserSpec
{
    function it_is_initializable()
    {
        $this->shouldHaveType(FacebookPostLinkParser::class);
    }

    public function it_should_parse_a_link()
    {
        $xml = '<link rel="self" type="x-im/facebook-post" url="https://www.facebook.com/stotenisalen/posts/10158053045049843" uri="im://facebook-post/10158053045049843"/>';
        $this->validateXML($xml, [
            'rel' => 'self',
            'type' => 'x-im/facebook-post',
            'url' => 'https://www.facebook.com/stotenisalen/posts/10158053045049843',
            'uri' => 'im://facebook-post/10158053045049843',
        ]);
    }
}
