<?php

namespace Spec\Infomaker\Everyware\NewsML\LinkParsers;

use Infomaker\Everyware\NewsML\LinkParsers\FacebookWatchLinkParser;
use Spec\Infomaker\Everyware\NewsML\ParserSpec;

class FacebookWatchLinkParserSpec extends ParserSpec
{
    function it_is_initializable()
    {
        $this->shouldHaveType(FacebookWatchLinkParser::class);
    }

    public function it_should_parse_a_link()
    {
        $xml = '<link rel="self" type="x-im/facebook-watch" url="https://fb.watch/5gD7R39AOy/" uri="im://facebook-watch/5gD7R39AOy"/>';
        $this->validateXML($xml, [
            'rel' => 'self',
            'type' => 'x-im/facebook-watch',
            'url' => 'https://fb.watch/5gD7R39AOy/',
            'uri' => 'im://facebook-watch/5gD7R39AOy',
        ]);
    }
}
