<?php

namespace Spec\Infomaker\Everyware\NewsML\LinkParsers;

use Infomaker\Everyware\NewsML\LinkParsers\InstagramLinkParser;
use Spec\Infomaker\Everyware\NewsML\ParserSpec;

class InstagramLinkParserSpec extends ParserSpec
{
    function it_is_initializable()
    {
        $this->shouldHaveType(InstagramLinkParser::class);
    }

    public function it_should_parse_a_link()
    {
        $xml = '<link rel="self" type="x-im/instagram" url="https://www.instagram.com/p/zvV3xmOvb3/" uri="im://instagram/undefined"/>';
        $this->validateXML($xml, [
            'rel' => 'self',
            'type' => 'x-im/instagram',
            'url' => 'https://www.instagram.com/p/zvV3xmOvb3/',
            'uri' => 'im://instagram/undefined',
        ]);
    }
}
