<?php

namespace Spec\Infomaker\Everyware\NewsML\LinkParsers;

use Infomaker\Everyware\NewsML\LinkParsers\VimeoLinkParser;
use Spec\Infomaker\Everyware\NewsML\ParserSpec;

class VimeoLinkParserSpec extends ParserSpec
{
    function it_is_initializable()
    {
        $this->shouldHaveType(VimeoLinkParser::class);
    }

    public function it_should_parse_an_element()
    {
        $xml = '<link type="x-im/vimeo" uri="im://vimeo/123456789" url="https://vimeo.com/123456789"/>';
        $this->validateXML($xml, [
            'type' => 'x-im/vimeo',
            'uri' => 'im://vimeo/123456789',
            'url' => 'https://vimeo.com/123456789'
        ]);
    }
}
