<?php

namespace Spec\Infomaker\Everyware\NewsML\Parsers;

use Infomaker\Everyware\NewsML\Parsers\LinkObjectParser;
use Spec\Infomaker\Everyware\NewsML\ParserSpec;

class LinkObjectParserSpec extends ParserSpec
{
    function it_is_initializable()
    {
        $this->shouldHaveType(LinkObjectParser::class);
    }

    public function it_should_parse_an_object()
    {
        $xml = <<<XML
<object id="contentrelations-e17ef7b21393e2b1dac1c1fbd7ffc597" uuid="e390944b-08cf-426a-b4bd-ea0b9b28a4dc" title="Test article" type="x-im/link">
    <links>
        <link rel="self" type="x-im/article" uuid="e390944b-08cf-426a-b4bd-ea0b9b28a4dc"/>
    </links>
</object>
XML;
        $this->validateXML($xml, [
            'id' => 'contentrelations-e17ef7b21393e2b1dac1c1fbd7ffc597',
            'rel' => 'self',
            'title' => 'Test article',
            'type' => 'x-im/article',
            'uuid' => 'e390944b-08cf-426a-b4bd-ea0b9b28a4dc'
        ]);
    }

    public function it_should_return_its_type()
    {
        $this->typeToParse()->shouldReturn('x-im/link');
    }
}
